.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH NOUVEAU __drivermansuffix__ __vendorversion__
.SH NAME
nouveau \- NVIDIA video driver
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qnouveau\*q"
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B nouveau
is an __xservername__ driver for NVIDIA video cards.  The driver supports 2D 
acceleration and provides support for the following framebuffer depths:
(15,) 16  and 24.  TrueColor visuals are supported for these depths.

.SH SUPPORTED HARDWARE
The
.B nouveau
driver supports PCI, PCI-Express and AGP video cards based on the following NVIDIA chips:
.TP 22
.B RIVA TNT
NV4
.TP 22
.B RIVA TNT2
NV5
.TP 22
.B GeForce 256, QUADRO 
NV10
.TP 22
.B GeForce2, QUADRO2
NV11 & NV15  
.TP 22
.B GeForce3, QUADRO DCC
NV20
.TP 22
.B nForce, nForce2
NV1A, NV1F
.TP 22
.B GeForce4, QUADRO4
NV17, NV18, NV25, NV28
.TP 22
.B GeForce FX, QUADRO FX
NV30, NV31, NV34, NV35, NV36, NV37, NV38 
.TP 22
.B GeForce 6XXX
NV40, NV41, NV43, NV44, NV45, C51
.TP 22
.B GeForce 7XXX
G70, G71, G72, G73

.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details.  This section only covers configuration details specific to this
driver.
.PP
The driver auto-detects the chipset type and the amount of video memory
present for all chips.
.PP
The following driver
.B Options
are supported:
.TP
.BI "Option \*qHWCursor\*q \*q" boolean \*q
Enable or disable the HW cursor.  Default: on.
.TP
.BI "Option \*qNoAccel\*q \*q" boolean \*q
Disable or enable acceleration.  Default: acceleration is enabled.
.TP
.BI "Option \*qFPDither\*q \*q" boolean \*q
Many digital flat panels (particularly ones on laptops) have only 6 bits 
per component color resolution.
This option tells the driver to dither from 8 bits per component to 6 before
the flat panel truncates it. 
Default: off.
.TP
.BI "Option \*qFPScale\*q \*q" boolean \*q 
Supported only on GeForce4 and newer chips, this option
tells to the driver to scale lower resolutions up to the flat panel's native
resolution.  Default: on.
.TP 
.BI "Option \*qScalingMode\*q \*q" string \*q 
Only for the randr-1.2 driver, this allows to set the DFP scaling mode.
The options are "fullscreen", "aspect", "noscale" and "panel". Default: "aspect".
.TP
.BI "Option \*qShadowFB\*q \*q" boolean \*q
Enable or disable use of the shadow framebuffer layer.  Default: off.
.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)
.SH AUTHORS
Authors include: David McKay, Jarno Paananen, Chas Inman, Dave Schmenk, 
Mark Vojkovich
.SH COPYRIGHT
.LP
NOTICE TO USER:   The source code  is copyrighted under  U.S. and
international laws.  Users and possessors of this source code are
hereby granted a nonexclusive,  royalty-free copyright license to
use this code in individual and commercial software.
.LP
Any use of this source code must include,  in the user documentation and
internal comments to the code,  notices to the end user as follows:
.LP
Copyright 1993-2003 NVIDIA, Corporation.  All rights reserved.
.LP
NVIDIA, CORPORATION MAKES NO REPRESENTATION ABOUT THE SUITABILITY
OF  THIS SOURCE  CODE  FOR ANY PURPOSE.  IT IS  PROVIDED  "AS IS"
WITHOUT EXPRESS OR IMPLIED WARRANTY OF ANY KIND.  NVIDIA, CORPORATION 
DISCLAIMS ALL WARRANTIES  WITH REGARD  TO THIS SOURCE CODE,
INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, NONINFRINGEMENT,  
AND FITNESS  FOR A PARTICULAR PURPOSE.   IN NO EVENT SHALL
NVIDIA, CORPORATION  BE LIABLE FOR ANY SPECIAL,  INDIRECT,  INCIDENTAL, 
OR CONSEQUENTIAL DAMAGES,  OR ANY DAMAGES  WHATSOEVER RESULTING FROM 
LOSS OF USE,  DATA OR PROFITS,  WHETHER IN AN ACTION
OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,  ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOURCE CODE.
.LP
U.S. Government  End  Users.   This source code  is a "commercial
item,"  as that  term is  defined at  48 C.F.R. 2.101 (OCT 1995),
consisting  of "commercial  computer  software"  and  "commercial
computer  software  documentation,"  as such  terms  are  used in
48 C.F.R. 12.212 (SEPT 1995)  and is provided to the U.S. Government 
only as  a commercial end item.   Consistent with  48 C.F.R.
12.212 and  48 C.F.R. 227.7202-1 through  227.7202-4 (JUNE 1995),
all U.S. Government End Users  acquire the source code  with only
those rights set forth herein.                                   

